[arch-commits] Commit in qtiplot/trunk (3 files)
Ronald van Haren
ronald at archlinux.org
Wed Jan 28 00:34:56 UTC 2009
Date: Tuesday, January 27, 2009 @ 19:34:56
Author: ronald
Revision: 25746
initial fixes to get qtiplot 0.9.7.4 release in a building state
Added:
qtiplot/trunk/qtiplot-sip.patch
Modified:
qtiplot/trunk/PKGBUILD
qtiplot/trunk/qtiplot.archlinux.patch
-------------------------+
PKGBUILD | 31 +++++++++++++++++--------------
qtiplot-sip.patch | 35 +++++++++++++++++++++++++++++++++++
qtiplot.archlinux.patch | 38 +++++++++++++++++++++-----------------
3 files changed, 73 insertions(+), 31 deletions(-)
Modified: PKGBUILD
===================================================================
--- PKGBUILD 2009-01-27 22:03:28 UTC (rev 25745)
+++ PKGBUILD 2009-01-28 00:34:56 UTC (rev 25746)
@@ -3,33 +3,35 @@
# Contributor: damir <damir at archlinux.org>
pkgname=qtiplot
-pkgver=0.9.7.3
+pkgver=0.9.7.4
pkgrel=1
pkgdesc="Data analysis and scientific plotting - free clone of Origin"
-arch=("i686" "x86_64")
+arch=('i686' 'x86_64')
url="http://soft.proindependent.com/qtiplot.html"
-depends=('qwtplot3d>=0.2.7' 'muparser>=1.30' 'gsl' 'python>=2.6' 'pyqt' 'sip' \
+depends=('muparser>=1.30' 'gsl' 'python>=2.6' 'pyqt' 'sip' \
'boost>=1.36' 'libgl')
# build against static liborigin provided in the package ...
+# build against qwtplot3d provided in the package ...
# as systemwide one doesn't provide all needed functions
-license=("GPL2")
+license=('GPL2')
source=("http://soft.proindependent.com/src/qtiplot-$pkgver.tar.bz2" \
"$pkgname.desktop" "$pkgname.png" \
"qtiplot-gcc4.3.patch" "liborigin-gcc4.3.patch" \
"qtiplot.archlinux.patch" "qtiplot-0.9.7.3-qwt3d.patch" \
- "dynamicgsl.patch")
+ "dynamicgsl.patch" "qtiplot-sip.patch")
-md5sums=('814c6719643304626c33a9073293f77b' '56bd53f4f1367c285086acb969f13348'
- 'ad8affbd6f0d5cbdcde46c923ee2668a' '927149a0c3623209d4aaef867031ba76'
- 'ad2333cfb8df37d33a6449c2c49ec945' '3e1c6ba4997d587ebe25118f86f8e1b3'
- '20ae1d441f299aa2c2c54e3bed3a9786' '2c858d26255ecde7bcd157515ed767d6')
+md5sums=('dd149d024501e34cda685023522b4d8d' '56bd53f4f1367c285086acb969f13348'
+ 'ad8affbd6f0d5cbdcde46c923ee2668a' '927149a0c3623209d4aaef867031ba76'
+ 'ad2333cfb8df37d33a6449c2c49ec945' '6e30bd907a945881f667036df3b3d96b'
+ '20ae1d441f299aa2c2c54e3bed3a9786' '2c858d26255ecde7bcd157515ed767d6'
+ 'f68e62cd6c6762345f1a123321f49e57')
build() {
+ cd $srcdir/$pkgname-$pkgver
+
# patching
-
- cd $srcdir/$pkgname-$pkgver
patch -Np0 < $srcdir/dynamicgsl.patch || return 1
cd $srcdir/$pkgname-$pkgver/$pkgname
@@ -37,6 +39,7 @@
patch -Np0 -i $srcdir/qtiplot-0.9.7.3-qwt3d.patch || return 1
patch -Np0 -i $srcdir/liborigin-gcc4.3.patch || return 1
patch -Np0 -i $srcdir/qtiplot.archlinux.patch || return 1
+ patch -Np0 -i $srcdir/qtiplot-sip.patch || return 1
export QMAKESPEC=linux-g++
@@ -51,7 +54,7 @@
install -D -m644 $srcdir/$pkgname.desktop \
$pkgdir/usr/share/applications/$pkgname.desktop || return 1
-# install wordlist for autocompletion
- install -Dm644 $srcdir/$pkgname-$pkgver/$pkgname/qti_wordlist.txt \
- $pkgdir/usr/bin/qti_wordlist.txt || return 1
+ # install wordlist for autocompletion
+ install -Dm644 $srcdir/$pkgname-$pkgver/$pkgname/qti_wordlist.txt \
+ $pkgdir/usr/share/qtiplot/qti_wordlist.txt || return 1
}
Added: qtiplot-sip.patch
===================================================================
--- qtiplot-sip.patch (rev 0)
+++ qtiplot-sip.patch 2009-01-28 00:34:56 UTC (rev 25746)
@@ -0,0 +1,35 @@
+--- src/scripting/qti.sip 2009-01-28 01:09:59.409564097 +0100
++++ src/scripting/qti.sip.new 2009-01-28 01:08:07.552907918 +0100
+@@ -74,8 +74,6 @@
+ MdiSubWindow(const MdiSubWindow&);
+ };
+
+-typedef QList<MdiSubWindow*> MDIWindowList;
+-
+ class Table: MdiSubWindow
+ {
+ %TypeHeaderCode
+@@ -1072,7 +1070,7 @@
+ Graph3D* plotParametricSurface(const QString&, const QString&, const QString&,
+ double, double, double, double, int=40, int=40, bool=true, bool=true) /PyName=plot3D/;
+
+- MDIWindowList windowsList() /PyName=windows/;
++ QList<MdiSubWindow*> windowsList() /PyName=windows/;
+
+ // folders
+ Folder *activeFolder() /NoDerived/;
+@@ -1867,7 +1865,7 @@
+ #include "src/core/Folder.h"
+ %End
+ public:
+- MDIWindowList windowsList() /PyName=windows/;
++ QList<MdiSubWindow*> windowsList() /PyName=windows/;
+ // TODO: implement signal Folder::nameChanged and make it update the project explorer; adjust renaming from GUI accordingly
+ // void setFolderName(const QString&) /PyName=setName/;
+ QString name();
+@@ -1887,4 +1885,4 @@
+
+ private:
+ Folder(const Folder&);
+-};
++};
Modified: qtiplot.archlinux.patch
===================================================================
--- qtiplot.archlinux.patch 2009-01-27 22:03:28 UTC (rev 25745)
+++ qtiplot.archlinux.patch 2009-01-28 00:34:56 UTC (rev 25746)
@@ -1,6 +1,6 @@
---- qtiplot.pro 2008-11-05 11:32:26.973838219 +0100
-+++ qtiplot.pro.new 2008-11-05 11:32:54.793839850 +0100
-@@ -23,7 +23,7 @@
+--- qtiplot.pro 2008-11-20 09:36:32.000000000 +0100
++++ qtiplot.pro.archlinux 2009-01-28 00:50:29.479822245 +0100
+@@ -20,7 +20,7 @@
win32:LIBS += ../3rdparty/libpng/libpng.a
# Uncomment the following line if you want to perform a custom installation using the *.path variables defined bellow.
@@ -9,7 +9,7 @@
CONFIG += release
#CONFIG += debug
-@@ -33,13 +33,12 @@
+@@ -30,13 +30,12 @@
#!!! Warning: You must modify these paths according to your computer settings
#############################################################################
@@ -17,18 +17,18 @@
-INCLUDEPATH += ../3rdparty/qwtplot3d/include
-INCLUDEPATH += ../3rdparty/qwt/src
+INCLUDEPATH += /usr/include
-+INCLUDEPATH += /usr/include/qwtplot3d
+INCLUDEPATH += /usr/include/qwt
++INCLUDEPATH += /usr/include/gsl
++INCLUDEPATH += /usr/include/boost
INCLUDEPATH += ../3rdparty/liborigin
-INCLUDEPATH += ../3rdparty/gsl/include
-INCLUDEPATH += ../3rdparty/zlib123/include
-INCLUDEPATH += ../3rdparty/boost_1_36_0
-+INCLUDEPATH += /usr/include/gsl
-+INCLUDEPATH += /usr/include/boost
++INCLUDEPATH += ../3rdparty/qwtplot3d/include
##################### 3rd PARTY LIBRARIES SECTION ###########################
#!!! Warning: You must modify these paths according to your computer settings
-@@ -48,18 +47,18 @@
+@@ -45,17 +44,18 @@
##################### Linux (Mac OS X) ######################################
# statically link against libraries in 3rdparty
@@ -49,12 +49,11 @@
#unix:LIBS += -lmuparser
#unix:LIBS += -lqwt
#unix:LIBS += -lgsl -lgslcblas
--
-+unix:LIBS += -lmuparser -lqwtplot3d -lqwt $$system(pkg-config --libs gsl) -lz -lboost_date_time -lboost_thread-mt
++unix:LIBS += -lmuparser -lqwtplot3d -lqwt $$system(pkg-config --libs gsl) -lz -lboost_date_time -lboost_thread-mt
+
##################### Windows ###############################################
- win32:LIBS += ../3rdparty/muparser/lib/libmuparser.a
-@@ -184,7 +183,7 @@
+@@ -163,7 +163,7 @@
################# Default Modules #############################
###############################################################
@@ -63,9 +62,14 @@
include(src/analysis/analysis.pri)
include(src/core/core.pri)
include(src/lib/libqti.pri)
-@@ -242,4 +241,4 @@
+--- qtiplot.pro 2009-01-28 01:11:02.526225964 +0100
++++ qtiplot.pro.archlinux 2009-01-28 01:24:49.226561202 +0100
+@@ -186,7 +186,7 @@
+ qtiUtil.py \
+ qti_wordlist.txt \
+
+- unix: pythonconfig.path = /usr/local/qtiplot
++ unix: pythonconfig.path = /usr/share/qtiplot
+ win32: pythonconfig.path = $$INSTALLBASE
+ DEFINES += PYTHON_CONFIG_PATH="\\\"$$replace(pythonconfig.path," ","\ ")\\\"
}
- }
-
--###############################################################
-+###############################################################
More information about the arch-commits
mailing list